import Vue from 'vue'
import App from './App'
import uView from "uview-ui";

// http拦截器，此为需要加入的内容，如果不是写在common目录，请自行修改引入路径
import httpInterceptor from '@/common/http.interceptor.js'

// api 集中管理
import httpApi from '@/common/http.api.js'

Vue.use(uView);
Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
  ...App
})

// 这里需要写在最后，是为了等Vue创建对象完成，引入"app"对象(也即页面的"this"实例)
Vue.use(httpInterceptor, app)

// api集中管理文件的使用
Vue.use(httpApi, app)

app.$mount()
